%define		package	Console
%define		php_min_version 5.3.9
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 Console Component
Name:		php-symfony2-Console
Version:	2.7.8
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	32159eb62c3c175141adfc9c2be18478
URL:		http://symfony.com/doc/2.7/components/console/index.html
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(json)
Requires:	php(mbstring)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-dirs >= 1.6
Suggests:	php(posix)
Suggests:	php-psr-Log
Suggests:	php-symfony2-EventDispatcher
Suggests:	php-symfony2-Process
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Console component eases the creation of beautiful and testable
command line interfaces.

%prep
%setup -q -n console-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Tests
# bad os
rm $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Resources/bin/hiddeninput.exe

%clean
rm -rf $RPM_BUILD_ROOT
%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Component/Console
%{php_data_dir}/Symfony/Component/Console/*.php
%{php_data_dir}/Symfony/Component/Console/Command
%{php_data_dir}/Symfony/Component/Console/Descriptor
%{php_data_dir}/Symfony/Component/Console/Event
%{php_data_dir}/Symfony/Component/Console/Formatter
%{php_data_dir}/Symfony/Component/Console/Helper
%{php_data_dir}/Symfony/Component/Console/Input
%{php_data_dir}/Symfony/Component/Console/Logger
%{php_data_dir}/Symfony/Component/Console/Output
%{php_data_dir}/Symfony/Component/Console/Question
%{php_data_dir}/Symfony/Component/Console/Style
%{php_data_dir}/Symfony/Component/Console/Tester
%changelog
* Tue Jan 05 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Console.git;a=log;h=master

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> 62713ab
- up to 2.7.8

* Mon Jan 04 2016 Elan Ruusamäe <glen@delfi.ee> f9ee25e
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> e066ee8
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 2ae7c9c
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 09590b6
- up to 2.7.7; use autoload.php for autoload name

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> 5c17451
- up to 2.7.5

* Tue Aug 11 2015 Elan Ruusamäe <glen@delfi.ee> 326f66d
- fix php-pear dependency

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 99794c5
- update php_min_version to 5.3.9

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 44bafd5
- package new files

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 280825c
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> f2aa7d7
- use autoloader.php as autoload bootstrap (for php-phpunit-phploc)

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 6da672b
- cleanups, unify

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 62e0356
- skip hiddeninput.exe

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 4557217
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> ab4fe9b
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> 766d7e8
- suggest posix extension for terminal colors

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> 0a385d2
- update url

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> b8d3ef7
- update suggests

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> e6d4435
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 328b0d3
- up to 2.3.4

